package com.ss.android.ugc.aweme.legacy;

import X.7SX;
import X.BPn;
import X.Lnj;
import X.SYF;
import X.Spj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.discover.mob.ISearchResultStatistics;

public class SearchResultStatisticsImpl implements ISearchResultStatistics {
    public final ISearchResultStatistics LIZ = Spj.LIZ.LIZLLL();

    static {
        Covode.recordClassIndex(90102);
    }

    public static ISearchResultStatistics LIZ() {
        MethodCollector.i(1104);
        ISearchResultStatistics iSearchResultStatistics = (ISearchResultStatistics) Lnj.LIZ(ISearchResultStatistics.class, false);
        if (iSearchResultStatistics != null) {
            MethodCollector.o(1104);
            return iSearchResultStatistics;
        }
        Object LIZIZ = Lnj.LIZIZ(ISearchResultStatistics.class, false);
        if (LIZIZ != null) {
            ISearchResultStatistics iSearchResultStatistics2 = (ISearchResultStatistics) LIZIZ;
            MethodCollector.o(1104);
            return iSearchResultStatistics2;
        }
        if (Lnj.LLLZIIL == null) {
            synchronized (ISearchResultStatistics.class) {
                try {
                    if (Lnj.LLLZIIL == null) {
                        Lnj.LLLZIIL = new SearchResultStatisticsImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(1104);
                    throw th;
                }
            }
        }
        SearchResultStatisticsImpl searchResultStatisticsImpl = (SearchResultStatisticsImpl) Lnj.LLLZIIL;
        MethodCollector.o(1104);
        return searchResultStatisticsImpl;
    }

    public final void LIZ(7SX r2) {
        this.LIZ.LIZ(r2);
    }

    public final void LIZ(BPn bPn) {
        this.LIZ.LIZ(bPn);
    }

    public final void LIZ(SYF syf) {
        this.LIZ.LIZ(syf);
    }
}
